Xeonr Developer Docs

Complete Note Upload

POST
/xeonr.notes.v1.NoteUploadsService/CompleteNoteUpload

Completes a previously requested upload, persisting the file in the note's uploads folder.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketId?string
Length1 <= length
uploadRequestId?string
Length1 <= length
filename?string
Length1 <= length
uploadsFolderPath?string
Length1 <= length
partEtags?
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.NoteUploadsService/CompleteNoteUpload" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "upload": {
    "uploadId": "string",
    "sizeBytes": 0,
    "mimeType": "string",
    "type": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}